Bug 590436 - abrt kernel crash: WARNING: at net/mac80211/scan.c:312 ieee80211_scan_completed+0x5f/0x1f1 [mac80211]()
abrt kernel crash: WARNING: at net/mac80211/scan.c:312 ieee80211_scan_complet...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 604266
  Show dependency treegraph
 
Reported: 2010-05-09 10:37 EDT by Mihai Harpau
Modified: 2010-07-19 15:02 EDT (History)
8 users (show)

See Also:
Fixed In Version: kernel-2.6.33.6-147.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 604264 (view as bug list)
Environment:
Last Closed: 2010-07-08 14:24:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
iwlwifi-cancel-scan-watchdog-in-iwl_bg_abort_scan.patch (558 bytes, patch)
2010-06-02 11:02 EDT, John W. Linville
no flags Details | Diff

  None (edit)
Description Mihai Harpau 2010-05-09 10:37:37 EDT
Description of problem:
While I make a suspend/resume cycle I see this crash in abrt

WARNING: at net/mac80211/scan.c:312 ieee80211_scan_completed+0x5f/0x1f1 [mac80211]()
Hardware name: Latitude E5400                  
Modules linked in: aes_x86_64 aes_generic fuse ipt_MASQUERADE iptable_nat nf_nat rfcomm sco bridge stp llc bnep l2cap sunrpc cpufreq_ondemand acpi_cpufreq freq_table xt_physdev ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 kvm_intel kvm uinput arc4 ecb snd_hda_codec_intelhdmi snd_hda_codec_idt snd_hda_intel iwlagn snd_hda_codec snd_hwdep snd_seq snd_seq_device iwlcore snd_pcm dell_wmi sdhci_pci sdhci iTCO_wdt tg3 dell_laptop mmc_core i2c_i801 wmi mac80211 snd_timer iTCO_vendor_support btusb joydev dcdbas cfg80211 bluetooth snd soundcore microcode rfkill snd_page_alloc firewire_ohci firewire_core crc_itu_t yenta_socket rsrc_nonstatic i915 drm_kms_helper drm i2c_algo_bit i2c_core video output [last unloaded: scsi_wait_scan]
Pid: 979, comm: iwlagn Tainted: G        W  2.6.33.3-85.fc13.x86_64 #1
Call Trace:
[<ffffffff8104b558>] warn_slowpath_common+0x77/0x8f
[<ffffffff8104b57f>] warn_slowpath_null+0xf/0x11
[<ffffffffa01bb7d9>] ieee80211_scan_completed+0x5f/0x1f1 [mac80211]
[<ffffffffa02a23f0>] iwl_bg_scan_completed+0xbb/0x17a [iwlcore]
[<ffffffff81060d3d>] worker_thread+0x1a4/0x232
[<ffffffffa02a2335>] ? iwl_bg_scan_completed+0x0/0x17a [iwlcore]
[<ffffffff81064817>] ? autoremove_wake_function+0x0/0x34
[<ffffffff81060b99>] ? worker_thread+0x0/0x232
[<ffffffff810643c7>] kthread+0x7a/0x82
[<ffffffff8100a924>] kernel_thread_helper+0x4/0x10
[<ffffffff8106434d>] ? kthread+0x0/0x82
[<ffffffff8100a920>] ? kernel_thread_helper+0x0/0x10

Version-Release number of selected component (if applicable):
Fedora 13 RC-2
kernel-2.6.33.3-85.fc13.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 John W. Linville 2010-06-02 11:02:06 EDT
Created attachment 419060 [details]
iwlwifi-cancel-scan-watchdog-in-iwl_bg_abort_scan.patch
Comment 2 John W. Linville 2010-06-02 11:03:07 EDT
Test kernels w/ above patch building here:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2225224

Give them a try?  Can you replicate the problem with those kernels?
Comment 3 Mihai Harpau 2010-06-02 11:30:34 EDT
I will try and report what are the results.
Comment 4 John W. Linville 2010-06-09 14:07:50 EDT
Ping?  Koji won't keep those test kernels forever...
Comment 5 Mihai Harpau 2010-06-13 04:45:54 EDT
After more suspend/resume cycles I can confirm that kernel from http://koji.fedoraproject.org/koji/taskinfo?taskID=2225224 fixed this bug.
Comment 6 Mihai Harpau 2010-06-13 05:03:26 EDT
Many thanks!!
Comment 7 Fedora Update System 2010-07-07 03:21:49 EDT
kernel-2.6.33.6-147.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/kernel-2.6.33.6-147.fc13
Comment 8 Fedora Update System 2010-07-07 13:44:01 EDT
kernel-2.6.33.6-147.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/kernel-2.6.33.6-147.fc13
Comment 9 Fedora Update System 2010-07-08 14:23:33 EDT
kernel-2.6.33.6-147.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Mihai Harpau 2010-07-19 07:10:00 EDT
I see this bug again on kernel-2.6.33.6-147.fc13 - see https://bugzilla.redhat.com/show_bug.cgi?id=615877
Comment 11 John W. Linville 2010-07-19 15:02:29 EDT
FWIW, to me that appears to be a different issue.

Note You need to log in before you can comment on or make changes to this bug.